#include <iostream>
using namespace std;

int main() {
    unsigned int num, msb;
    cout << "Enter decimal number:" << endl;
    cin >> num;

    msb = 1;
    msb <<= (sizeof(num) * 8 - 1); // Set the most significant bit of `msb` to 1

    // Keep shifting `msb` right until it aligns with the most significant bit of `num`
    while (!(msb & num)) msb >>= 1;

    cout << "The binary representation of " << num << " is: ";

    while (msb) {
        cout << (num & msb ? "1" : "0");
        msb >>= 1; // Shift `msb` right to check the next bit position
    }

    cout << endl;
    return 0;
}
