#include <iostream>
#include <cmath>
using namespace std;

int main() {
    cout.setf(ios::fixed);
    cout.setf(ios::showpoint);
    cout.precision(4);

    // Version I
    {
        cout << "Version I:\n";
        int sequence_length;
        cout << "Please enter the length of the sequence:";
        cin >> sequence_length;
        cout << "Please enter your sequence:\n";
        double result = 1.0;

        int i = 0;
        while (i < sequence_length) {
            int temp;
            cin >> temp;
            result *= temp;
            i++;
        }
        result = pow(result, 1.0 / sequence_length);
        cout << "The geometric mean is:" << result << endl;
    }


    // Version II
    {
        cout << "Version II\n";
        double result = 1.0;
        int sequence_length = 0;
        int temp;
        cout << "Please enter a non-empty sequence of positive integers, each one in a separate line."
             << "End your sequence by typing -1:\n";
        cin >> temp;

        while (temp != -1) {
            result *= temp;
            sequence_length++;
            cin >> temp;
        }
        result = pow(result, 1.0 / sequence_length);
        cout << "The geometric mean is:" << result << endl;
    }

    return 0;

}